Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025356
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminorhave not tried2013-12-17 19:032014-01-22 17:31
ReportermarvintmView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP30
StatusclosedFix in branchFixed in SCM revision4bf18e5acbe8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025356: Cash up jasper report doesn't compute difference amounts correctly

DescriptionCurrently the cash up report doesn't show difference amounts correctly. If the difference is a payment it's shown correctly, but if its a deposit (if the counted amount is lower than the expected) then it's shown as zero.
Steps To ReproduceCreate an order.
Do cash up. Specify a counted amount lower than expected.
Go to backend -> POS Terminal -> cash up history, and print the cash up report. Notice that the differences are zero.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062748)
hgbot (developer)
2013-12-17 19:04

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: ed577924df89d5b67bf7b6eee90b1b377a2ee9e5
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Dec 17 19:03:51 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/ed577924df89d5b67bf7b6eee90b1b377a2ee9e5 [^]

Fixed issue 25356. Cash up report will correctly show differences.

---
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.java
---
(0062776)
guilleaer (developer)
2013-12-18 13:04

verified
(0062870)
hgbot (developer)
2013-12-19 13:12

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 4bf18e5acbe8f07c647aff2d52285559e065a7de
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Dec 17 19:03:51 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4bf18e5acbe8f07c647aff2d52285559e065a7de [^]

Fixed issue 25356. Cash up report will correctly show differences.

---
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.java
---
(0062952)
hgbot (developer)
2013-12-19 19:57

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 4bf18e5acbe8f07c647aff2d52285559e065a7de
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Dec 17 19:03:51 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/4bf18e5acbe8f07c647aff2d52285559e065a7de [^]

Fixed issue 25356. Cash up report will correctly show differences.

---
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.java
---
(0062981)
guilleaer (developer)
2013-12-20 13:14

reclosed
(0063190)
hgbot (developer)
2014-01-02 12:50

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 4bf18e5acbe8f07c647aff2d52285559e065a7de
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Dec 17 19:03:51 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/4bf18e5acbe8f07c647aff2d52285559e065a7de [^]

Fixed issue 25356. Cash up report will correctly show differences.

---
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.java
---
(0063251)
hgbot (developer)
2014-01-07 15:39

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 4bf18e5acbe8f07c647aff2d52285559e065a7de
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Dec 17 19:03:51 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/4bf18e5acbe8f07c647aff2d52285559e065a7de [^]

Fixed issue 25356. Cash up report will correctly show differences.

---
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.java
---
(0063305)
hgbot (developer)
2014-01-08 17:06

Repository: erp/pmods/org.openbravo.retail.posterminal-warehouseselector
Changeset: 4bf18e5acbe8f07c647aff2d52285559e065a7de
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Dec 17 19:03:51 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/4bf18e5acbe8f07c647aff2d52285559e065a7de [^]

Fixed issue 25356. Cash up report will correctly show differences.

---
M src/org/openbravo/retail/posterminal/ad_reports/CashUpReport.java
---
(0063620)
guilleaer (developer)
2014-01-22 17:31

Reclosing issues

- Issue History
Date Modified Username Field Change
2013-12-17 19:03 marvintm New Issue
2013-12-17 19:03 marvintm Assigned To => marvintm
2013-12-17 19:03 marvintm Triggers an Emergency Pack => No
2013-12-17 19:04 hgbot Checkin
2013-12-17 19:04 hgbot Note Added: 0062748
2013-12-17 19:04 hgbot Status new => resolved
2013-12-17 19:04 hgbot Resolution open => fixed
2013-12-17 19:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/ed577924df89d5b67bf7b6eee90b1b377a2ee9e5 [^]
2013-12-18 13:04 guilleaer Review Assigned To => guilleaer
2013-12-18 13:04 guilleaer Note Added: 0062776
2013-12-18 13:04 guilleaer Status resolved => closed
2013-12-18 13:04 guilleaer Fixed in Version => RMP30
2013-12-19 13:12 hgbot Checkin
2013-12-19 13:12 hgbot Note Added: 0062870
2013-12-19 13:12 hgbot Status closed => resolved
2013-12-19 13:12 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/ed577924df89d5b67bf7b6eee90b1b377a2ee9e5 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4bf18e5acbe8f07c647aff2d52285559e065a7de [^]
2013-12-19 19:57 hgbot Checkin
2013-12-19 19:57 hgbot Note Added: 0062952
2013-12-19 19:57 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4bf18e5acbe8f07c647aff2d52285559e065a7de [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/4bf18e5acbe8f07c647aff2d52285559e065a7de [^]
2013-12-20 13:14 guilleaer Note Added: 0062981
2013-12-20 13:14 guilleaer Status resolved => closed
2014-01-02 12:50 hgbot Checkin
2014-01-02 12:50 hgbot Note Added: 0063190
2014-01-02 12:50 hgbot Status closed => resolved
2014-01-02 12:50 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/4bf18e5acbe8f07c647aff2d52285559e065a7de [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/4bf18e5acbe8f07c647aff2d52285559e065a7de [^]
2014-01-07 15:39 hgbot Checkin
2014-01-07 15:39 hgbot Note Added: 0063251
2014-01-07 15:39 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/4bf18e5acbe8f07c647aff2d52285559e065a7de [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/4bf18e5acbe8f07c647aff2d52285559e065a7de [^]
2014-01-08 17:06 hgbot Checkin
2014-01-08 17:06 hgbot Note Added: 0063305
2014-01-08 17:06 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/4bf18e5acbe8f07c647aff2d52285559e065a7de [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-warehouseselector/rev/4bf18e5acbe8f07c647aff2d52285559e065a7de [^]
2014-01-22 17:31 guilleaer Note Added: 0063620
2014-01-22 17:31 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker